Driver options:
===================

This document contains driver specific options for Xorg and XFree86 and what 
effect they are meant to have. These options are only valid in conjuntion with 
the specified driver and generally have no meaning / effect when used with 
other graphics drivers.

o fbdev
o fglrx (binary ATi driver)
o i740
o i810
o mga
o nv
o nvidia
o radeon
o sis
o vesa

Driver fbdev:
--------------
(source: man fbdev)

       Option "fbdev" "string"
              The framebuffer device to use. Default: /dev/fb0.

       Option "ShadowFB" "boolean"
              Enable or disable use of the shadow framebuffer layer.  Default:  on.

       Option "Rotate" "string"
              Enable rotation of the display. The supported values are "CW" (clock‐
              wise, 90 degrees), "UD" (upside down, 180 degrees) and "CCW" (counter
              clockwise, 270 degrees). Implies use of the shadow framebuffer layer.
              Default: off.


Driver fglrx (ATi binary driver):
----------------------------------

Section "Device"
    Identifier                          "Radeon 9600XT - fglrx"
    Driver                              "fglrx"
# ### generic DRI settings ###
# === disable PnP Monitor  ===
    #Option                              "NoDDC"
# === disable/enable XAA/DRI ===
    Option "no_accel"                   "no"
    Option "no_dri"                     "no"
# === misc DRI settings ===
    Option "mtrr"                       "off" # disable DRI mtrr mapper, driver has its own code for mtrr
# ### FireGL DDX driver module specific settings ###
# === Screen Management ===
    Option "DesktopSetup"               "0x00000000" 
    Option "MonitorLayout"              "AUTO, AUTO"
    Option "IgnoreEDID"                 "off"
    Option "HSync2"                     "" 
    Option "VRefresh2"                  "" 
    Option "ScreenOverlap"              "0" 
# === TV-out Management ===
    Option "NoTV"                       "yes"     
    Option "TVStandard"                 "NTSC-M"     
    Option "TVHSizeAdj"                 "0"     
    Option "TVVSizeAdj"                 "0"     
    Option "TVHPosAdj"                  "0"     
    Option "TVVPosAdj"                  "0"     
    Option "TVHStartAdj"                "0"     
    Option "TVColorAdj"                 "0"     
    Option "GammaCorrectionI"           "0x00000000"
    Option "GammaCorrectionII"          "0x00000000"
# === OpenGL specific profiles/settings ===
    Option "Capabilities"               "0x00000000"
# === Video Overlay for the Xv extension ===
    Option "VideoOverlay"               "on"
# === OpenGL Overlay ===
# Note: When OpenGL Overlay is enabled, Video Overlay
#       will be disabled automatically
    Option "OpenGLOverlay"              "off"
# === Center Mode (Laptops only) ===
    Option "CenterMode"                 "off"
# === Pseudo Color Visuals (8-bit visuals) ===
    Option "PseudoColorVisuals"         "off"
# === QBS Management ===
    Option "Stereo"                     "off"
    Option "StereoSyncEnable"           "1"
# === FSAA Management ===
    Option "FSAAEnable"                 "yes"
    Option "FSAAScale"                  "4"
    Option "FSAADisableGamma"           "no"
    Option "FSAACustomizeMSPos"         "no"
    Option "FSAAMSPosX0"                "0.000000"
    Option "FSAAMSPosY0"                "0.000000"
    Option "FSAAMSPosX1"                "0.000000"
    Option "FSAAMSPosY1"                "0.000000"
    Option "FSAAMSPosX2"                "0.000000"
    Option "FSAAMSPosY2"                "0.000000"
    Option "FSAAMSPosX3"                "0.000000"
    Option "FSAAMSPosY3"                "0.000000"
    Option "FSAAMSPosX4"                "0.000000"
    Option "FSAAMSPosY4"                "0.000000"
    Option "FSAAMSPosX5"                "0.000000"
    Option "FSAAMSPosY5"                "0.000000"
# === Misc Options ===
    Option "UseFastTLS"                 "0"
    Option "BlockSignalsOnLock"         "on"
    Option "UseInternalAGPGART"         "yes"
    Option "ForceGenericCPU"            "no"
    BusID "PCI:1:0:0"    # vendor=1002, device=4152
    Screen 0
EndSection

Driver i740:
-------------
(No info yet)


Driver i810:
-------------

       Option "NoAccel" "boolean"
              Disable or enable acceleration.  Default: acceleration is enabled.

       Option "SWCursor" "boolean"
              Disable  or enable software cursor.  Default: software cursor is dis‐
              able and a hardware cursor  is  used  for  configurations  where  the
              hardware cursor is available.

       Option "ColorKey" "integer"
              This  sets  the  default  pixel  value for the YUV video overlay key.
              Default: undefined.

       Option "CacheLines" "integer"
              This allows the user to change the amount of graphics memory used for
              2D acceleration and video.  Decreasing this amount leaves more for 3D
              textures.  Increasing it can improve 2D performance at the expense of
              3D  performance.   Default:  depends  on  the  resolution, depth, and
              available video memory.  The driver attempts  to  allocate  at  least
              enough  to  hold  two  DVD-sized YUV buffers by default.  The default
              used for a specific configuration can be found by examining the  Xorg
              log file.

       Option "DRI" "boolean"
              Disable  or enable DRI support.  Default: DRI is enabled for configu‐
              rations where it is supported.

       The following driver Options are supported for the i810 and i815 chipsets:

       Option "DDC" "boolean"
              Disable or enable DDC support.  Default: enabled.

       Option "Dac6Bit" "boolean"
              Enable or disable 6-bits per RGB for 8-bit  modes.   Default:  8-bits
              per RGB for 8-bit modes.

       Option "XvMCSurfaces" "integer"
              This option enables XvMC.  The integer parameter specifies the number
              of surfaces to use.  Valid values are 6 and 7.  Default: XvMC is dis‐
              abled.

       The following driver Options are supported for the 830M and later chipsets:

       Option "VBERestore" "boolean"
              Enable  or disable the use of VBE save/restore for saving and restor‐
              ing the initial text mode.  This is disabled by  default  because  it
              causes  lockups  on  some  platforms.   However, there are some cases
              where it must enabled for the  correct  restoration  of  the  initial
              video mode.  If you are having a problem with that, try enabling this
              option.  Default: Disabled.

       Option "VideoKey" "integer"
              This is the same as the "ColorKey" option  described  above.   It  is
              provided for compatibility with most other drivers.

       Option "XVideo" "boolean"
              Disable  or  enable  XVideo  support.  Default: XVideo is enabled for
              configurations where it is supported.

       Option "MonitorLayout" "anystr"
              Allow different monitor configurations. e.g. "CRT,LFP" will configure
              a  CRT  on  Pipe  A  and  an LFP on Pipe B. Regardless of the primary
              heads’ pipe it is always configured as "<PIPEA>,<PIPEB>".   Addition‐
              ally you can add different configurations such as "CRT+DFP,LFP" which
              would put a digital flat panel and a CRT on pipe A, and a local  flat
              panel on pipe B.  For single pipe configurations you can just specify
              the monitors types on Pipe A, such as "CRT+DFP" which will enable the
              CRT  and  DFP on Pipe A.  Valid monitors are CRT, LFP, DFP, TV, CRT2,
              LFP2, DFP2, TV2 and NONE.  NOTE: Some configurations of monitor types
              may  fail,  this  depends on the Video BIOS and system configuration.
              Default: Not configured, and will use the  current  head’s  pipe  and
              monitor.

       Option "Clone" "boolean"
              Enable  Clone  mode  on  pipe B. This will setup the second head as a
              complete mirror of the monitor attached to pipe A.  NOTE: Video over‐
              lay  functions will not work on the second head in this mode.  If you
              require this, then use the MonitorLayout above and do (as an example)
              "CRT+DFP,NONE"  to  configure both a CRT and DFP on Pipe A to achieve
              local mirroring and disable the use of this option.   Default:  Clone
              mode on pipe B is disabled.

       Option "CloneRefresh" "integer"
              When the Clone option is specified we can drive the second monitor at
              a different refresh rate than the primary.  Default: 60Hz.

       Option "CheckLid" "boolean"
              On mobile platforms it’s desirable to  monitor  the  lid  status  and
              switch  the  outputs accordingly when the lid is opened or closed. By
              default this option is on, but may incur  a  very  minor  performance
              penalty  as  we need to poll a register on the card to check for this
              activity. It can be turned off using this  option.  This  only  works
              with the 830M, 852GM and 855GM systems.  Default: enabled.

       Option "FlipPrimary" "boolean"
              When  using  a  dual  pipe system, it may be preferable to switch the
              primary screen to the alternate pipe to display on the other  monitor
              connection.   NOTE:  Using  this  option  may  cause  text mode to be
              restored incorrectly, and thus should be used with caution.  Default:
              disabled.

       Option "DisplayInfo" "boolean"
              It  has  been  found  that a certain BIOS call can lockup the Xserver
              because of a problem in the Video BIOS. The log file will identify if
              you  are suffering from this problem and tell you to turn this option
              off.  Default: enabled

       Option "DevicePresence" "boolean"
              Tell the driver to perform an active detect  of  the  currently  con‐
              nected  monitors.  This  option is useful if the monitor was not con‐
              nected when the machine has  booted,  but  unfortunately  it  doesn’t
              always work and is extremely dependent upon the Video BIOS.  Default:
              disabled


Driver mga:
------------

       Option "ColorKey" "integer"
              Set  the colormap index used for the transparency key for the depth 8
              plane when operating in 8+24 overlay mode.  The value must be in  the
              range 2-255.  Default: 255.

       Option "HWCursor" "boolean"
              Enable or disable the HW cursor.  Default: on.

       Option "MGASDRAM" "boolean"
              Specify  whether  G100,  G200  or  G400 cards have SDRAM.  The driver
              attempts to auto-detect this based on the card’s  PCI  subsystem  ID.
              This  option  may  be  used to override that auto-detection.  The mga
              driver is not able to auto-detect the presence of of  SDRAM  on  sec‐
              ondary  heads  in  multihead configurations so this option will often
              need  to  be  specified  in   multihead   configurations.    Default:
              auto-detected.

       Option "NoAccel" "boolean"
              Disable or enable acceleration.  Default: acceleration is enabled.

       Option "NoHal" "boolean"
              Disable  or enable loading the "mga_hal" module.  Default: the module
              is loaded when available and when using hardware that it supports.

       Option "OverclockMem"
              Set clocks to values used by some commercial X  Servers  (G100,  G200
              and G400 only).  Default: off.

       Option "Overlay" "value"
              Enable 8+24 overlay mode.  Only appropriate for depth 24.  Recognized
              values are: "8,24", "24,8". Default: off.  (Note: the G100  is  unac‐
              celerated  in  the  8+24  overlay mode due to a missing hardware fea‐
              ture.)

       Option "PciRetry" "boolean"
              Enable or disable PCI retries.  Default: off.

       Option "Rotate" "CW"

       Option "Rotate" "CCW"
              Rotate the display clockwise or counterclockwise.  This mode is unac‐
              celerated.  Default: no rotation.

       Option "ShadowFB" "boolean"
              Enable or disable use of the shadow framebuffer layer.  Default: off.

       Option "SyncOnGreen" "boolean"
              Enable or disable combining the sync signals with the  green  signal.
              Default: off.

       Option "UseFBDev" "boolean"
              Enable or disable use of on OS-specific fb interface (and is not sup‐
              ported  on  all  OSs).   See  fbdevhw(4x)  for  further  information.
              Default: off.

       Option "VideoKey" "integer"
              This  sets  the  default  pixel  value for the YUV video overlay key.
              Default: undefined.

       Option "TexturedVideo" "boolean"
              This has XvImage support use the texture engine rather than the video
              overlay.   This option is only supported by G200 and later chips, and
              only at 16 and 32 bits per pixel.  Default: off.


Driver nv:
-----------
(source: man nv)
       Option "HWCursor" "boolean"
              Enable or disable the HW cursor.  Default: on.

       Option "NoAccel" "boolean"
              Disable or enable acceleration.  Default: acceleration is enabled.

       Option "UseFBDev" "boolean"
              Enable or disable use of on OS-specific fb interface (and is not sup-
              ported  on  all  OSs).   See  fbdevhw(4x)  for  further  information.
              Default: off.

       Option "CrtcNumber" "integer"
              GeForce2 MX, nForce2, Quadro4, GeForce4, Quadro FX and GeForce FX may
              have  two video outputs.  The driver attempts to autodetect which one
              the monitor is connected to.  In the case  that  autodetection  picks
              the wrong one, this option may be used to force usage of a particular
              output.  The options are "0" or "1".  Default: autodetected.

       Option "FlatPanel" "boolean"
              The driver usually can autodetect the  presence  of  a  digital  flat
              panel.  In the case that this fails, this option can be used to force
              the driver to treat the attached device  as  a  digital  flat  panel.
              With  this  driver,  a  digital  flat  panel will only work if it was
              POSTed by the BIOS, that is, the machine  must  have  booted  to  the
              panel.   If  you  have  a dual head card you may also need to set the
              option CrtcNumber described above.  Default: off.

       Option "FPDither" "boolean"
              Many digital flat panels (particularly ones on laptops) have  only  6
              bits per component color resolution.  This option tells the driver to
              dither from 8 bits per component to 6 before the flat panel truncates
              it.  This  is  only  supported  in  depth 24 on GeForce2 MX, nForce2,
              GeForce4, Quadro4, Geforce FX and Quadro FX.  Default: off.

       Option "FPScale" "boolean"
              Supported only on GeForce4, Quadro4, Geforce FX and Quadro FX.   This
              option  tells to the driver to scale lower resolutions up to the flat
              panel's native resolution.  Default: on.

       Option "Rotate" "CW"

       Option "Rotate" "CCW"
              Rotate the display clockwise or counterclockwise.  This mode is unac-
              celerated.  Default: no rotation.

              Note:  The Resize and Rotate extension will be disabled if the Rotate
              option is used.

       Option "ShadowFB" "boolean"
              Enable or disable use of the shadow framebuffer layer.  Default: off.



Driver nvidia.ko (binary driver):
----------------------------------
(source: ftp://download.nvidia.com/XFree86/Linux-x86/1.0-7174/README.txt)

        Option "NvAGP" "integer"
                Configure AGP support. Integer argument can be one of:
                0 : disable agp 
                1 : use NVIDIA's internal AGP support, if possible 
                2 : use AGPGART, if possible 
                3 : use any agp support (try AGPGART, then NVIDIA's AGP) 
                Please note that NVIDIA's internal AGP support cannot
                work if AGPGART is either statically compiled into your
                kernel or is built as a module, but loaded into your
                kernel (some distributions load AGPGART into the kernel
                at boot up).  Default: 3 (the default was 1 until after
                1.0-1251).

        Option "NoLogo" "boolean"
                Disable drawing of the NVIDIA logo splash screen at
                X startup.  Default: the logo is drawn.

        Option "RenderAccel" "boolean"
                Enable or disable hardware acceleration of the RENDER
                extension.  THIS OPTION IS EXPERIMENTAL.  ENABLE IT AT YOUR
                OWN RISK.  There is no correctness test suite for the
                RENDER extension so NVIDIA can not verify that RENDER
                acceleration works correctly.   Default: hardware 
                acceleration of the RENDER extension is disabled.

        Option "NoRenderExtension" "boolean"
                Disable the RENDER extension.  Other than recompiling
                the X-server, XFree86 does not seem to have another way of
                disabling this.  Fortunatly, we can control this from the
                driver so we export this option.  This is useful in depth
                8 where RENDER would normally steal most of the default
                colormap. Default: RENDER is offered when possible.

        Option "UBB" "boolean"
                Enable or disable Unified Back Buffer on any Quadro
                based GPUs (Quadro4 NVS excluded); please see
                Appendix M for a description of UBB.  This option has
                no affect on non-Quadro chipsets.  Default: UBB is on
                for Quadro chipsets.

        Option "NoFlip" "boolean"
                Disable OpenGL flipping; please see Appendix M for
                a description.  Default: OpenGL will swap by flipping
                when possible.

        Option "DigitalVibrance" "integer"
                Enables Digital Vibrance Control.  The range of valid
                values are 0 through 255.  This feature is not available
                on products older than GeForce2.  Default: 0.

        Option "Dac8Bit" "boolean"
                Most Quadro parts by default use a 10 bit color look
                up table (LUT) by default; setting this option to TRUE forces
                these graphics chips to use an 8 bit (LUT).  Default:
                a 10 bit LUT is used, when available.

        Option "Overlay" "boolean"
                Enables RGB workstation overlay visuals.  This is only
                supported on Quadro4 and Quadro FX chips (Quadro4 NVS
                excluded) in depth 24.  This option causes the server to
                advertise the SERVER_OVERLAY_VISUALS root window property
                and GLX will report single and double buffered, Z-buffered
                16 bit overlay visuals.  The transparency key is pixel
                0x0000 (hex).  There is no gamma correction support in
                the overlay plane.  This feature requires XFree86 version
                4.1.0 or newer (or the Xorg X server).  NV17/18 based
                Quadros (ie. 500/550 XGL) have additional restrictions,
                namely, overlays are not supported in TwinView mode
                or with virtual desktops larger than 2046x2047 in any
                dimension (eg.  it will not work in 2048x1536 modes).
                Quadro 7xx/9xx and Quadro FX will offer overlay visuals
                in these modes (TwinView, or virtual desktops larger
                than 2046x2047), but the overlay will be emulated with
                a substantial performance penalty.  RGB workstation
                overlays are not supported when the Composite extension is
                enabled.  Default: off.

        Option "CIOverlay" "boolean"
                Enables Color Index workstation overlay visuals with
                identical restrictions to Option "Overlay" above.
                The server will offer visuals both with and without a
                transparency key.  These are depth 8 PseudoColor visuals.
                Enabling Color Index overlays on X servers older than
                XFree86 4.3 will force the RENDER extension to be disabled
                due to bugs in the RENDER extension in older X servers.
                Color Index workstation overlays are not supported when the
                Composite extension is enabled.  Default: off.

        Option "TransparentIndex" "integer"
                When color index overlays are enabled, use this option
                to choose which pixel is used for the transparent pixel
                in visuals featuring transparent pixels.  This value
                is clamped between 0 and 255 (Note: some applications
                such as Alias's Maya require this to be zero
                in order to work correctly).  Default: 0.

        Option "OverlayDefaultVisual" "boolean"
                When overlays are used, this option sets the default
                visual to an overlay visual thereby putting the root
                window in the overlay.  This option is not recommended
                for RGB overlays.  Default: off.

        Option "RandRRotation" "boolean"
                Enable rotation support for the XRandR extension.  This
                allows use of the XRandR X server extension for
                configuring the screen orientation through rotation.
                This feature is supported on GeForce2 or better hardware
                using depth 24.  This requires an XOrg 6.8.1 or newer
                X server.  This feature does not work with hardware overlays,
                emulated overlays will be used instead at a substantial
                performance penalty.  See APPENDIX W for details.
                Default: off.

        Option "SWCursor" "boolean"
                Enable or disable software rendering of the X cursor.
                Default: off.

        Option "HWCursor" "boolean"
                Enable or disable hardware rendering of the X cursor.
                Default: on.

        Option "CursorShadow" "boolean" Enable or disable use of a
                shadow with the hardware accelerated cursor; this is a
                black translucent replica of your cursor shape at a
                given offset from the real cursor.  This option is
                only available on GeForce2 or better hardware (ie
                everything but TNT/TNT2, GeForce 256, GeForce DDR and
                Quadro).  Default: no cursor shadow.

        Option "CursorShadowAlpha" "integer"
                The alpha value to use for the cursor shadow; only
                applicable if CursorShadow is enabled.  This value must
                be in the range [0, 255] -- 0 is completely transparent;
                255 is completely opaque.  Default: 64.

        Option "CursorShadowXOffset" "integer"
                The offset, in pixels, that the shadow image will be
                shifted to the right from the real cursor image; only
                applicable if CursorShadow is enabled.  This value must
                be in the range [0, 32].  Default: 4.

        Option "CursorShadowYOffset" "integer"
                The offset, in pixels, that the shadow image will be
                shifted down from the real cursor image; only applicable
                if CursorShadow is enabled.  This value must be in the
                range [0, 32].  Default: 2.

        Option "ConnectedMonitor" "string"
                Allows you to override what the NVIDIA kernel module
                detects is connected to your video card.  This may
                be useful, for example, if you use a KVM (keyboard,
                video, mouse) switch and you are switched away when
                X is started.  In such a situation, the NVIDIA kernel
                module cannot detect what display devices are connected,
                and the NVIDIA X driver assumes you have a single CRT.

                Valid values for this option are "CRT" (cathode ray
                tube), "DFP" (digital flat panel), or "TV" (television);
                if using TwinView, this option may be a comma-separated
                list of display devices; e.g.: "CRT, CRT" or "CRT, DFP".

                NOTE: anything attached to a 15 pin VGA connector is
                regarded by the driver as a CRT.  "DFP" should only be
                used to refer to flatpanels connected via a DVI port.

                Default: string is NULL.

        Option "UseEdidFreqs" "boolean"
                This option causes the X server to use the HorizSync
                and VertRefresh ranges given in a display device's EDID,
                if any.  EDID provided range information will override
                the HorizSync and VertRefresh ranges specified in the
                Monitor section.  If a display device does not provide an
                EDID, or the EDID does not specify an hsync or vrefresh
                range, then the X server will default to the HorizSync
                and VertRefresh ranges specified in the Monitor section.

        Option "IgnoreEDID" "boolean"
                Disable probing of EDID (Extended Display Identification
                Data) from your monitor.  Requested modes are compared
                against values gotten from your monitor EDIDs (if any)
                during mode validation.  Some monitors are known to lie
                about their own capabilities.  Ignoring the values that
                the monitor gives may help get a certain mode validated.
                On the other hand, this may be dangerous if you do not
                know what you are doing.  Default: Use EDIDs.

        Option "NoDDC" "boolean"
                Synonym for "IgnoreEDID"

        Option "FlatPanelProperties" "string"
                Requests particular properties of any connected flat
                panels as a comma-separated list of property=value pairs.
                Currently, the only two available properties are 'Scaling'
                and 'Dithering'.   The possible values for 'Scaling' are:
                'default' (the driver will use whatever scaling state
                is current), 'native' (the driver will use the flat
                panel's scaler, if it has one), 'scaled' (the driver
                will use the NVIDIA scaler, if possible), 'centered'
                (the driver will center the image, if possible),
                and 'aspect-scaled' (the driver will scale with the
                NVIDIA scaler, but keep the aspect ratio correct).
                The possible values for 'Dithering' are: 'default'
                (the driver will decide when to dither), 'enabled' (the
                driver will always dither when possible), and 'disabled'
                (the driver will never dither).  If any property is not
                specified, it's value shall be 'default'.  An example
                properties string might look like:

                "Scaling = centered, Dithering = enabled"

        Option "UseInt10Module" "boolean"
                Enable use of the X Int10 module to soft-boot all
                secondary cards, rather than POSTing the cards through
                the NVIDIA kernel module.  Default: off (POSTing is done
                through the NVIDIA kernel module).

        Option "TwinView" "boolean"
                Enable or disable TwinView.  Please see APPENDIX I for
                details. Default: TwinView is disabled.

        Option "TwinViewOrientation" "string"
                Controls the relationship between the two display devices
                when using TwinView.  Takes one of the following values:
                "RightOf" "LeftOf" "Above" "Below" "Clone".  Please see
                APPENDIX I for details. Default: string is NULL.

        Option "SecondMonitorHorizSync" "range(s)"
                This option is like the HorizSync entry in the Monitor
                section, but is for the second monitor when using
                TwinView.  Please see APPENDIX I for details. Default:
                none.

        Option "SecondMonitorVertRefresh" "range(s)"
                This option is like the VertRefresh entry in the Monitor
                section, but is for the second monitor when using
                TwinView.  Please see APPENDIX I for details. Default:
                none.

        Option "MetaModes" "string"
                This option describes the combination of modes to use
                on each monitor when using TwinView. Please see APPENDIX
                I for details. Default: string is NULL.

        Option "NoTwinViewXineramaInfo" "boolean"
                When in TwinView, the NVIDIA X driver normally provides
                a Xinerama extension that X clients (such as window
                managers) can use to to discover the current TwinView
                configuration.  Some window mangers can get confused by
                this information, so this option is provided to disable
                this behavior.  Default: TwinView Xinerama information
                is provided.

        Option "TVStandard" "string"
                Please see (app-j)  APPENDIX J: CONFIGURING TV-OUT.

        Option "TVOutFormat" "string"
                Please see (app-j)  APPENDIX J: CONFIGURING TV-OUT.

        Option "TVOverScan" "Decimal value in the range 0.0 to 1.0"
                Valid values are in the range 0.0 through 1.0; please see
                (app-j)  APPENDIX J: CONFIGURING TV-OUT.

        Option "Stereo" "integer"
                Enable offering of quad-buffered stereo visuals on Quadro.
                Integer indicates the type of stereo glasses being used:
 
                1 - DDC glasses.  The sync signal is sent to the glasses
                    via the DDC signal to the monitor.  These usually
                    involve a passthrough cable between the monitor and
                    video card.

                2 - "Blueline" glasses.  These usually involve
                    a passthrough cable between the monitor and video
                    card.  The glasses know which eye to display based
                    on the length of a blue line visible at the bottom
                    of the screen.  When in this mode, the root window
                    dimensions are one pixel shorter in the Y dimension
                    than requested.  This mode does not work with virtual
                    root window sizes larger than the visible root window
                    size (desktop panning).

                3 - Onboard stereo support.  This is usually only found
                    on professional cards.  The glasses connect via a
                    DIN connector on the back of the video card.

                4 - TwinView clone mode stereo (aka "passive" stereo).
                    On video cards that support TwinView, the left eye
                    is displayed on the first display, and the right
                    eye is displayed on the second display.  This is
                    normally used in conjuction with special projectors
                    to produce 2 polarized images which are then viewed
                    with polarized glasses.  To use this stereo mode,
                    you must also configure TwinView in clone mode with
                    the same resolution, panning offset, and panning
                    domains on each display.

                Stereo is only available on Quadro cards.  Stereo
                options 1, 2, and 3 (aka "active" stereo) may be used
                with TwinView if all modes within each metamode have
                identical timing values.  Please see (app-l)  APPENDIX
                L: PROGRAMMING MODES for suggestions on making sure the
                modes within your metamodes are identical.  The identical
                modeline requirement is not necessary for Stereo option 4
                ("passive" stereo).  Currently, stereo operation may
                be "quirky" on the original Quadro (NV10) chip and
                left-right flipping may be erratic.  We are trying
                to resolve this issue for a future release.  Default:
                Stereo is not enabled.

                Stereo options 1, 2, and 3 (aka "active" stereo) are not
                supported on Digital Flatpanels.

        Option "AllowDFPStereo" "boolean"
                By default, the NVIDIA X driver performs a check which
                disables active stereo (stereo options 1, 2, and 3)
                if the X screen is driving a DFP.  The "AllowDFPStereo"
                option bypasses this check.

        Option "NoBandWidthTest" "boolean"
                As part of mode validation, the X driver tests if a
                given mode fits within the hardware's memory bandwidth
                constraints.  This option disables this test.  Default:
                the memory bandwidth test is performed.

        Option "IgnoreDisplayDevices" "string"
                This option tells the NVIDIA kernel module to completely
                ignore the indicated classes of display devices when
                checking what display devices are connected.  You may
                specify a comma-separated list containing any of "CRT",
                "DFP", and "TV".

                For example:

                    Option "IgnoreDisplayDevices" "DFP, TV"

                will cause the NVIDIA driver to not attempt to detect
                if any flatpanels or TVs are connected.

                This option is not normally necessary; however, some video
                BIOSes contain incorrect information about what display
                devices may be connected, or what i2c port should be
                used for detection.  These errors can cause long delays
                in starting X.  If you are experiencing such delays, you
                may be able to avoid this by telling the NVIDIA driver to
                ignore display devices which you know are not connected.

                NOTE: anything attached to a 15 pin VGA connector is
                regarded by the driver as a CRT.  "DFP" should only be
                used to refer to flatpanels connected via a DVI port.

        Option "MultisampleCompatibility" "boolean"
                Enable or disable the use of separate front and back
                multisample buffers.  This will consume more memory
                but is necessary for correct output when rendering to
                both the front and back buffers of a multisample or
                FSAA drawable.  This option is necessary for correct
                operation of SoftImage XSI.  Default: a singlemultisample
                buffer is shared between the front and back buffers.

        Option "NoPowerConnectorCheck" "boolean"
                The NVIDIA X driver will abort X server initialization
                if it detects that a GPU that requires an external power
                connector does not have an external power connector
                plugged in.  This option can be used to bypass this test.
                Default: the power connector test is performed.

        Option "XvmcUsesTextures" "boolean"
                Forces XvMC to use the 3D engine for XvMCPutSurface
                requests rather than the video overlay.  Default: video
                overlay is used when available.

        Option "AllowGLXWithComposite" "boolean"
                Enables GLX even when the Composite X extension is loaded.
                ENABLE AT YOUR OWN RISK.  OpenGL applications will not
                display correctly in many circumstances with this setting
                enabled.  Default: GLX is disabled when Composite is
                loaded.

        Option "ExactModeTimingsDVI" "boolean"
                Forces the initialization of the X server with the exact 
                timings specified in the ModeLine. Default: For DVI 
                devices, the X server inilializes with the closest mode in 
                the EDID list.


Driver radeon:
---------------
(source: manpage radeon)

       Option "SWcursor" "boolean"
              Selects software cursor.  The default is off.

       Option "NoAccel" "boolean"
              Enables or disables all hardware acceleration.
              The default is to enable hardware acceleration.

       Option "Dac6Bit" "boolean"
              Enables  or  disables the use of 6 bits per color component when in 8
              bpp mode (emulates VGA mode).  By default, all 8 bits per color  com-
              ponent are used.
              The default is off.

       Option "VideoKey" "integer"
              This overrides the default pixel value for the YUV video overlay key.
              The default value is 0x1E.

       Option "UseFBDev" "boolean"
              Enable or disable use of an OS-specific framebuffer device  interface
              (which  is  not  supported  on all OSs).  MergedFB does not work when
              this option is in use.  See fbdevhw(4x) for further information.
              The default is off.

       Option "AGPMode" "integer"
              Set AGP data transfer rate.  (used only when DRI is enabled)
              1      -- x1 (default)
              2      -- x2
              4      -- x4
              others -- invalid

       Option "AGPFastWrite" "boolean"
              Enable AGP fast write.
              (used only when DRI is enabled)
              The default is off.

       Option "BusType" "string"
              Used to replace previous ForcePCIMode option.  Should  only  be  used
              when  driver’s  bus detection is incorrect or you want to force a AGP
              card to PCI mode. Should NEVER force a PCI card to AGP bus.
              PCI    -- PCI bus
              AGP    -- AGP bus
              PCIE   -- PCI Express (falls back to PCI at present)
              (used only when DRI is enabled)
              The default is auto detect.

       Option "DDCMode" "boolean"
              Force to use the modes queried from the connected monitor.
              The default is off.

       Option "DisplayPriority" "string"
              Used to prevent flickering  or  tearing  problem  caused  by  display
              buffer underflow.
              AUTO   -- Driver calculated (default).
              BIOS   -- Remain unchanged from BIOS setting.
                        Use this if the calculation is not correct
                        for your card.
              HIGH   -- Force to the highest priority.
                        Use this if you have problem with above options.
                        This may affect performence slightly.
              The default value is AUTO.

       Option "MonitorLayout" "string"
              This option is used to overwrite the detected monitor types.  This is
              only required when driver makes a false detection.  The possible mon-
              itor types are:
              NONE   -- Not connected
              CRT    -- Analog CRT monitor
              TMDS   -- Desktop flat panel
              LVDS   -- Laptop flat panel
              This option can be used in following format:
              Option "MonitorLayout" "[type on primary], [type on secondary]"
              For example, Option "MonitorLayout" "CRT, TMDS"

              Primary/Secondary head for dual-head cards:
              (when  only  one  port  is  used,  it  will be treated as the primary
              regardless)
              Primary head:
              DVI port on DVI+VGA cards
              LCD output on laptops
              Internal TMDS port on DVI+DVI cards
              Secondary head:
              VGA port on DVI+VGA cards
              VGA port on laptops
              External TMDS port on DVI+DVI cards

              The default value is undefined.

       Option "MergedFB" "boolean"
              This enables merged framebuffer mode.  In this mode you have a single
              shared framebuffer with two viewports looking into it.  It is similar
              to Xinerama, but has some advantages.  It is  faster  than  Xinerama,
              the DRI works on both heads, and it supports clone modes.
              Merged  framebuffer mode provides two linked viewports looking into a
              single large shared framebuffer.  The  size  of  the  framebuffer  is
              determined  by  the  Virtual keyword defined on the Screen section of
              your XF86Config file.  It works just  like  regular  virtual  desktop
              except you have two viewports looking into it instead of one.
              For  example,  if you wanted a desktop composed of two 1024x768 view-
              ports looking into a single desktop you would create a virtual  desk-
              top of 2048x768 (left/right) or 1024x1536 (above/below), e.g.,
              Virtual 2048 768 or Virtual 1024 1536
              The  virtual  desktop  can be larger than larger than the size of the
              viewports looking into it.  In this case the  linked  viewports  will
              scroll around in the virtual desktop.  Viewports with different sizes
              are also supported (e.g., one  that  is  1024x768  and  one  that  is
              640x480).   In this case the smaller viewport will scroll relative to
              the larger one such that none of the virtual desktop is inaccessable.
              If  you  do  not  define a virtual desktop the driver will create one
              based on the orientation of the heads and size of the largest defined
              mode in the display section that is supported on each head.
              The  relation  of  the  viewports  in  specified  by the CRT2Position
              Option.  The options are Clone , LeftOf  ,  RightOf  ,  Above  ,  and
              Below.   MergedFB  is  enabled by default if a monitor is detected on
              each output.  If no position is given it defaults to clone mode  (the
              old clone options are now deprecated, also, the option OverlayOnCRTC2
              has been replaced by the Xv attribute XV_SWITCHCRT; the  overlay  can
              be switched to CRT1 or CRT2 on the fly in clone mode).
              The maximum framebuffer size that the 2D acceleration engine can han-
              dle is 8192x8192.  The maximum framebuffer size that  the  3D  engine
              can handle is 2048x2048.
              Note: Page flipping does not work well in certain configurations with
              MergedFB.  If you see rendering errors  or  other  strange  behavior,
              disable page flipping. Also MergedFB is not compatible with the UseF-
              BDev option.
              The default value is undefined.

       Option "CRT2HSync" "string"
              Set the horizontal sync range for the secondary  monitor.  It is  not
              required if a DDC-capable monitor is connected.
              For example, Option "CRT2HSync" "30.0-86.0"
              The default value is undefined.

       Option "CRT2VRefresh" "string"
              Set  the vertical refresh range for the secondary monitor.  It is not
              required if a DDC-capable monitor is connected.
              For example, Option "CRT2VRefresh" "50.0-120.0"
              The default value is undefined.

       Option "CRT2Position" "string"
              Set the relationship of CRT2 relative to  CRT1.  Valid  options  are:
              Clone , LeftOf , RightOf , Above , and Below
              For example, Option "CRT2Position" "RightOf"
              The default value is Clone.

       Option "MetaModes" "string"
              MetaModes  are mode combinations for CRT1 and CRT2.  If you are using
              merged frame buffer mode and want  to  change  modes  (CTRL-ALT-+/-),
              these  define  which modes will be switched to on CRT1 and CRT2.  The
              MetaModes are defined as CRT1Mode-CRT2Mode (800x600-1024x768).  Modes
              listed  individually  (800x600)  define clone modes, that way you can
              mix clone modes with non-clone modes.   Also  some  programs  require
              "standard" modes.
              Note:   Any  mode  you  use  in  the MetaModes must be defined in the
              Screen section of your XF86Config file.  Modes not defined there will
              be  ignored  when the MetaModes are parsed since the driver uses them
              to make sure the monitors can handle those  modes.   If  you  do  not
              define a MetaMode the driver will create one based on the orientation
              of the heads and size of the largest defined mode in the display sec-
              tion that is supported on each head.
              Modes 1024x768 800x600 640x480
              For  example,  Option "MetaModes" "1024x768-1024x768 800x600-1024x768
              640x480-800x600 800x600"
              The default value is undefined.

       Option "OverlayOnCRTC2" "boolean"
              Force hardware overlay to clone head.
              The default value is off.

       Option "NoMergedXinerama" "boolean"
              Since merged framebuffer mode does not use  Xinerama,  apps  are  not
              able  to  intelligently  place windows.  Merged framebuffer mode pro-
              vides its own pseudo-Xinerama.  This allows Xinerama compliant appli-
              cations  to  place  windows  appropriately.   There are some caveats.
              Since merged framebuffer mode is able to change relative screen sizes
              and  orientations  on  the  fly, as well has having overlapping view-
              ports, pseudo-Xinerama, might not always  provide  the  right  hints.
              Also many Xinerama compliant applications only query Xinerama once at
              startup; if the information changes, they may not  be  aware  of  the
              change.   If you are already using Xinerama (e.g., a single head card
              and a dualhead card providing three heads), pseudo-Xinerama  will  be
              disabled.
              This  option  allows you turn off the driver provided pseudo-Xinerama
              extension.
              The default value is FALSE.

       Option "MergedXineramaCRT2IsScreen0" "boolean"
              By default the pseudo-Xinerama provided by the driver makes the left-
              most or bottom head Xinerama screen 0.  Certain Xinerama-aware appli-
              cations do special things with screen 0.  To  change  that  behavior,
              use this option.
              The default value is undefined.

       Option "MergedDPI" "string"
              The driver will attempt to figure out an appropriate DPI based on the
              DDC information and the orientation  of  the  heads  when  in  merged
              framebuffer  mode.  If this value does not suit you, you can manually
              set the DPI using this option.
              For example, Option "MergedDPI" "100 100"
              The default value is undefined.

       Option "IgnoreEDID" "boolean"
              Do not use EDID data for mode validation, but DDC is still  used  for
              monitor detection. This is different from NoDDC option.
              The default value is off.

       Option "PanelSize" "string"
              Should only be used when driver cannot detect the correct panel size.
              Apply to both desktop (TMDS) and laptop (LVDS) digital panels.   When
              a  valid  panel size is specified, the timings collected from DDC and
              BIOS will not be used. If you have a  panel  with  timings  different
              from  that of a standard VESA mode, you have to provide this informa-
              tion through the Modeline.
              For example, Option "PanelSize" "1400x1050"
              The default value is none.

       Option "PanelOff" "boolean"
              Disable panel output.
              The default value is off.

       Option "EnablePageFlip" "boolean"
              Enable page flipping for 3D acceleration. This will increase  perfor-
              mance but not work correctly in some rare cases, hence the default is
              off.
              Note: Page flipping does not work well in certain configurations with
              MergedFB.   If  you  see  rendering errors or other strange behavior,
              disable page flipping.

       Option "ForceMinDotClock" "frequency"
              Override minimum dot clock. Some Radeon BIOSes report a  minimum  dot
              clock  unsuitable  (too  high) for use with television sets even when
              they actually can produce lower dot clocks. If this is the  case  you
              can  override the value here.  Note that using this option may damage
              your hardware.  You have been warned. The frequency parameter may  be
              specified  as  a  float value with standard suffixes like "k", "kHz",
              "M", "MHz".

       Option "RenderAccel" "boolean"
              Enables or disables hardware Render acceleration.  This  driver  does
              not  support  component  alpha (subpixel) rendering.  It is only sup-
              ported on Radeon series up to and including 9200 (9500/9700 and newer
              unsupported).  The default is to enable Render acceleration.

       Option "SubPixelOrder" "string"
              Force  subpixel order to specified order.  Subpixel order is used for
              subpixel decimation on flat panels.
              NONE   -- No subpixel (CRT like displays)
              RGB    -- in horizontal RGB order (most flat panels)
              BGR    -- in horizontal BGR order (some flat panels)

              This option is intended to be used in following cases:
              1. The default subpixel order is incorrect for your panel.
              2. Enable subpixel decimation on analog panels.
              3. Adjust to one display type in dual-head clone mode setup.
              4. Get better performance with Render acceleration on digital  panels
              (use NONE setting).
              The default is NONE for CRT, RGB for digital panels

       Option "DynamicClocks" "boolean"
              Enable  dynamic clock scaling.  The on-chip clocks will scale dynami-
              cally based on usage. This can help reduce heat and increase  battery
              life  by  reducing power usage.  Some users report reduced 3D prefor-
              mance with this enabled.  The default is off.



Driver sis:
------------

       Option "NoAccel" "boolean"
              Disable  or enable 2D acceleration. Default: acceleration is enabled.

       Option "HWCursor" "boolean"
              Enable or disable the HW cursor. Default: HWCursor is on.

       Option "SWCursor" "boolean"
              The opposite of HWCursor. Default: SWCursor is off.

       Option "Rotate" "CW"
              Rotate the display clockwise. This mode is  unaccelerated,  and  uses
              the  Shadow Frame Buffer layer. Using this option disables the Resize
              and Rotate extension (RandR).  Default: no rotation.

       Option "Rotate" "CCW"
              Rotate the display counterclockwise. This mode is unaccelerated,  and
              uses  the  Shadow  Frame Buffer layer. Using this option disables the
              Resize and Rotate extension (RandR).  Default: no rotation.

       Option "ShadowFB" "boolean"
              Enable or disable use of  the  shadow  framebuffer  layer.   Default:
              Shadow framebuffer is off.

       Option "CRT1Gamma" "boolean"
              Enable or disable gamma correction.  Default: Gamma correction is on.



Driver vesa:
-------------
(source: man vesa)

       Option "ShadowFB" "boolean"
              Enable or disable use of the shadow framebuffer layer.  Default:  on.
              This option is recommended for performance reasons.

